.breadcrumb {
    margin-bottom: clamp(30px, 5vw, 65px);
}

.post-thumbnail-container {
    max-width: 1660px;
    margin: auto;

    .post-thumbnail-img {
        width: 100%;
        height: 400px;
    }

    @media screen and (max-width:991px) {

        .border-radius-7,
        .border-radius-6 {
            border-radius: var(--border-radius-4) !important;
        }
    }
}

.post-info_container {
    margin-top: -90px;
    z-index: 2;
    gap: 30px;

    @media screen and (max-width:991px) {

        .border-radius-7,
        .border-radius-6 {
            border-radius: var(--border-radius-4) !important;
        }
    }

    .post-table-of-contents {
        width: 460px;

        @media screen and (max-width: 1200px) {
            display: none;

        }

        .post-table-of-contents-accordion {
            position: sticky;
            top: 210px;
            z-index: 10;
            height: auto;

            @media screen and (max-width: 1500px) {
                position: relative;

            }

            .accordion-item {
                border-radius: var(--border-radius-4) !important;
                overflow: hidden;
                box-shadow: 0px 4px 0px 0px #0000000D;
                padding-bottom: 30px;

                .table-of-contents-subtitle {

                    max-width: 80%;
                    padding-bottom: 11px;
                }

                .accordion-body {
                    padding: 0px 30px;
                }

                .accordion-button {
                    padding: 30px 30px 0px 30px;
                    background-color: transparent !important;
                    box-shadow: none;

                    &::after {
                        background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30' fill='none'%3E%3Cpath d='M29 15C29 22.732 22.732 29 15 29C7.26801 29 1 22.732 1 15C1 7.26801 7.26802 0.999999 15 0.999999C22.732 1 29 7.26801 29 15Z' stroke='black' stroke-width='2'/%3E%3Cpath d='M9.40341 15.3123L10.6286 14.0765L13.8725 17.3205L13.8725 9.7193L15.6729 9.7193L15.6729 17.3205L18.9116 14.0765L20.142 15.3123L14.7727 20.6817L9.40341 15.3123Z' fill='black'/%3E%3C/svg%3E") no-repeat center / contain;
                        height: 30px;
                        width: 30px;
                    }

                    &:not(.collapsed) {
                        background-color: transparent !important;
                        box-shadow: none !important;
                        color: rgba(var(--text-color-2)) !important;


                        &::after {
                            background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30' fill='none'%3E%3Cellipse cx='15' cy='15.0001' rx='15' ry='15' transform='rotate(-90 15 15.0001)' fill='%2300AB63'/%3E%3Cpath d='M20.5966 14.6877L19.3715 15.9235L16.1275 12.6796L16.1275 20.2808L14.3271 20.2808L14.3271 12.6796L11.0884 15.9235L9.85796 14.6877L15.2273 9.31841L20.5966 14.6877Z' fill='white'/%3E%3C/svg%3E") no-repeat center / contain;
                            transform: rotate(0deg);
                        }
                    }

                    &:focus {
                        box-shadow: none !important;
                    }
                }

                .post-table-of-contents-list .toc-list-item:has(a.active)::marker,
                .post-table-of-contents-list .toc-list-item:hover::marker {
                    color: rgba(var(--text-color-4));
                }

                .post-table-of-contents-list .toc-list-item {
                    padding-bottom: 8px;
                    position: relative;
                    margin-left: 20px;

                    &::marker {
                        color: rgba(var(--text-color-20));
                    }

                    a {
                        font-weight: 600;
                        font-size: var(--font-10);
                        line-height: 1.2;
                        color: rgba(var(--text-color-20));
                        text-decoration: none;

                        &:hover {
                            color: rgba(var(--text-color-4));
                            text-decoration: underline;

                            &::before {
                                content: "";
                                position: absolute;
                                left: -40px;
                                top: 7px;
                                width: 17px;
                                height: 17px;
                                display: inline-block;
                                transform: translate(-50%, 0);
                                opacity: 1;
                                transition: transform 0.3s ease, opacity 0.3s ease;
                                background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='17' height='17' viewBox='0 0 17 17' fill='none'%3E%3Cpath d='M8.42907 16.1872L6.56625 14.3405L11.4561 9.45057H-0.00178289V6.73664H11.4561L6.56625 1.85478L8.42907 -8.28625e-06L16.5227 8.09361L8.42907 16.1872Z' fill='%23004532'/%3E%3C/svg%3E") no-repeat center / contain;
                            }
                        }

                        &.active {
                            color: rgba(var(--text-color-4));
                            text-decoration: underline;

                            &::before {
                                content: "";
                                position: absolute;
                                left: -40px;
                                top: 7px;
                                width: 17px;
                                height: 17px;
                                display: inline-block;
                                transform: translate(-50%, 0);
                                opacity: 1;
                                transition: transform 0.3s ease, opacity 0.3s ease;
                                background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='17' height='17' viewBox='0 0 17 17' fill='none'%3E%3Cpath d='M8.42907 16.1872L6.56625 14.3405L11.4561 9.45057H-0.00178289V6.73664H11.4561L6.56625 1.85478L8.42907 -8.28625e-06L16.5227 8.09361L8.42907 16.1872Z' fill='%23004532'/%3E%3C/svg%3E") no-repeat center / contain;
                            }
                        }

                    }
                }


            }

            .post-table-of-contents-back-top:hover {
                color: rgba(var(--text-color-4));
            }
        }
    }

    .post-info-box {
        width: calc(100% - 490px);
        box-shadow: 0px 4px 0px 0px #0000000D;
        padding: 41px clamp(15px, 3vw, 70px);

        @media screen and (max-width: 1200px) {
            width: 100%;

        }

        @media screen and (max-width: 767px) {
            padding-top: 20px;
            padding-bottom: 20px;

        }

        .entry-content h2 {
            font-weight: 700;
            font-size: var(--font-12);
            line-height: 1.1;
            scroll-margin-top: 220px;
            margin-bottom: 15px;
        }

        .entry-content h3 {
            margin-bottom: 8px;
        }

        .entry-content p {
            font-weight: 400;
            font-size: var(--font-9);
            line-height: 1.2;
            padding-bottom: 20px;

        }

        .entry-content img {
            border-radius: var(--border-radius-6);

            @media screen and (max-width:991px) {


                border-radius: var(--border-radius-4) !important;

            }
        }

        .wp-block-image {
            text-align: center;
            margin-bottom: 20px;
        }

        .post-info_time {
            border: 1px solid rgba(var(--text-color-2), 60%);
            padding: 6px 10px;
            display: inline-flex !important;
            gap: 5px !important;
            margin-bottom: 30px;
        }

        .news-box__time {
            color: rgba(var(--text-color-2), 60%);
            font-weight: 500;
            font-size: var(--font-14);
            line-height: 1.2;
        }

    }
}

.post-info_navigation {
    padding: 15px;

    .posts-like-dislike-box-container {
        padding: 34px 30px;
        flex-wrap: wrap;
        gap: 10px;

        @media screen and (max-width: 767px) {
            padding: 15px 15px;

        }
    }

    .post-info_navigation-box {
        gap: 20px;
        padding-top: 40px;

        .post-navigation-card {
            width: 100%;
        }

        &:has(.post-navigation-card:nth-child(2)) .post-navigation-card {
            width: calc(50% - 10px);

            @media screen and (max-width: 767px) {
                width: 100%;

            }
        }

        &:has(.post-navigation-card:nth-child(2)) .post-navigation-card .blog-card__info {
            min-height: 205px;
            width: 100% !important;

            @media screen and (max-width: 767px) {
                min-height: auto;

            }
        }
    }

    .nav-label-container {
        text-align: right;
        vertical-align: middle;
        padding-bottom: 16px;

        &.prev {
            text-align: left;
        }
    }

    .post-navigation-card-wrapper {
        height: 338px;
        padding: 15px;
        display: flex;
        align-items: end;

        .blog-card__profile-box {
            margin-bottom: 0px !important;
            padding-right: 70px;
            flex-wrap: wrap;

            @media screen and (max-width: 991px) {
                padding-right: 0px;

            }
        }

        .blog-card__info {
            height: auto !important;
            min-height: auto;
            width: 85% !important;

            @media screen and (max-width: 767px) {
                width: 100% !important;

            }
        }

        .blog-card__content,
        .news-box__btn {
            display: none !important;
        }

        .blog-card__heading {
            font-size: var(--font-7);
            line-height: 1.2;
            text-overflow: ellipsis;
            white-space: normal;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
            display: -webkit-box !important;
            overflow: hidden;
        }
    }


}

.posts-like-dislike-box .pld-like-count-wrap,
.posts-like-dislike-box .pld-dislike-count-wrap {
    display: none;
}

.posts-like-dislike-box .pld-undo-trigger {
    position: relative;
}

.pld-common-wrap {
    min-width: auto !important;
}

.posts-like-dislike-box .pld-like-dislike-wrap {
    display: flex;
    margin-bottom: 0px;
}

.posts-like-dislike-box .pld-like-dislike-wrap.pld-custom img {
    max-width: 60px;

    @media screen and (max-width: 1400px) {
        max-width: 40px;
    }

    @media screen and (max-width: 768px) {
        max-width: 30px;
    }
}

.posts-like-dislike-box .pld-like-wrap .pld-undo-trigger::after {
    content: "";
    position: absolute;
    background-image: url("../images/like-active-icon.png");
    height: 60px;
    width: 60px;
    top: -2px;
    left: 0px;
    border-radius: 50%;
    background-size: contain;

    @media screen and (max-width: 1400px) {
        width: 40px;
        height: 40px;
    }

    @media screen and (max-width:768px) {
        width: 30px;
        height: 30px;
    }
}

.posts-like-dislike-box .pld-dislike-wrap .pld-undo-trigger::after {
    content: "";
    position: absolute;
    background-image: url("../images/dislike-active-icon.png");
    height: 60px;
    width: 60px;
    top: -2px;
    left: 0px;
    border-radius: 50%;
    background-size: contain;

    @media screen and (max-width: 1400px) {
        width: 40px;
        height: 40px;
    }

    @media screen and (max-width:768px) {
        width: 30px;
        height: 30px;
    }
}

/* ------------------------------------   Start news archive page --------------------------------- */
.post-categories-page .banner_section {
    padding-bottom: clamp(60px, 8vw, 150px) !important;
}

.news_archive-page,
.post-categories-page,
.case-studies_archive-page {
    .banner_section {
        padding: 200px 0px clamp(220px, 8vw, 265px);
        position: relative;

        .banner-bg-image{
            object-position: 100% 84%;
        }

        &::after {
            content: "";
            position: absolute;
            top: 0;
            height: 100%;
            width: 100%;
            background: #004532f2;
            opacity: 0.8;
        }

        .site-container {
            z-index: 1;
            position: relative;
        }

        .banner-content-box {
            gap: clamp(20px, 3vw, 44px)
        }

        .news-search-box {
            margin-bottom: clamp(15px, 5vw, 35px);
            max-width: 1158px;

            .news-search {
                padding: 10px;

                .news-search-input {
                    border: 0px;
                    padding: 13px;

                    &:focus {
                        box-shadow: none;
                    }

                    &:-webkit-autofill {
                        -webkit-box-shadow: 0 0 0 50px #fff inset;
                        /* Change the color to your own background color */
                        -webkit-text-fill-color: rgb(var(--bg-color-1) /50%);
                    }

                    &input:-webkit-autofill:focus {
                        -webkit-box-shadow: 0 0 0 50px #fff inset;
                        /*your box-shadow*/
                        -webkit-text-fill-color: rgb(var(--bg-color-1) /50%);
                    }

                    @media screen and (max-width:768px) {
                        font-size: var(--font-10);
                        padding: 13px 5px;
                    }

                }

                .btn-search {
                    font-size: var(--font-10);
                    width: auto;
                }
            }
        }

        .posts-category-list-box {
            .posts-category-list {
                gap: 30px 20px;

                @media screen and (max-width:768px) {
                    gap: 15px 10px;
                }
            }

            .posts-category-item .posts-category-link {
                padding: 18px 20px;
                border-radius: 500px;
                background: #ffffff40;
                display: block;
                backdrop-filter: blur(6px);
                box-shadow: 0.8px 0.2px 0px 1px rgb(255 255 255 / 50%);

                &:hover,
                &.active {
                    background-color: rgb(var(--bg-color-6));
                    color: rgb(var(--text-color-1));
                }

                @media screen and (max-width:768px) {
                    padding: 13px 16px;
                    font-size: var(--font-11);
                }

            }
        }
    }
}

.all-news_posts-section {
    margin-top: -170px;
    z-index: 1;

    .all-news_posts-box {
        gap: 30px;
        margin-top: 20px;

        .latest-blogs-cards_row {
            gap: 33px;
            width: calc(100% - 605px - 30px);

            @media screen and (max-width:1280px) {
                width: calc(50% - 15px);

            }

            @media screen and (max-width:768px) {
                width: 100%;

            }
        }

        .topRead-blogs-cards_row {
            width: 605px;
            padding: 25px;

            .topRead-blogs-cards-list {
                gap: 15px;

                .latest-blog-card {
                    min-height: 197px;
                    padding: 15px;
                    box-shadow: none;

                    .post-tag {
                        display: none !important;
                    }

                    .latest-blog-card__heading {
                        font-size: var(--font-9);
                        height: 39px;
                    }

                }
            }

            @media screen and (max-width:1280px) {
                width: calc(50% - 15px);
                padding: 25px 20px;

            }

            @media screen and (max-width:768px) {
                width: 100%;
                padding: 25px 12px;

            }
        }
    }
}

.post-categories-section {
    .category-block {
        padding-bottom: clamp(60px, 7vw, 100px);

        &:last-child {
            padding-bottom: 0px;
        }
    }

    .post-categories-blogs_row {
        display: grid;
        gap: 20px;
        grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
        justify-content: center;

        .blog-card {
            display: flex;
            flex-direction: column;
            height: 100%;

        }
    }

}

.latest-blogs-cards_row .latest-blog-card:nth-child(1) .previous-tag {
    display: none !important;
}

.latest-blogs-cards_row .latest-blog-card:nth-child(2) .latest-tag {
    display: none !important;
}

/* ------------------------------------   End news archive page --------------------------------- */

/* ------------------------------------   start news card loop block --------------------------------- */

 .blog-card {
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        padding: 151px 30px 30px;
        background-color: rgb(var(--bg-color-5));
        height: 100%;
    }

    .blog-card__info {
        padding: 20px;
    }

    .blog-card__profile-img {
        width: 40px;
        height: 40px;
    }

    .blog-card__date {
        font-size: 15px;
        line-height: 25px;
        color: #00000099;
    }

    .blog-card__link .blog-card__heading:hover {
        color: rgb(var(--text-color-6));
    }

    .blog-card__content {
        text-overflow: ellipsis;
        white-space: normal;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 4;
        display: -webkit-box !important;
        overflow: hidden;
    }

    .news-box__time-box {
        right: 20px;
        bottom: 26px;
    }

    .news-box__time {
        font-size: 13px;
    }

    @media(max-width:991px) {
        .news-box__time-box {
            right: 20px;
            top: 24px;
            bottom: auto;
        }
    }

    @media(max-width:576px) {
        .blog-card {
            padding: 108px 20px 20px 20px;
        }
    }

/* ------------------------------------   End news card loop block --------------------------------- */


/* ------------------------------------   Start latest news card loop block --------------------------------- */

.latest-blog-card {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 13px 17px 30px 28px;
    background-color: rgb(var(--bg-color-5));
    min-height: 350px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
    box-shadow: 5px 5px 0px 0px #0000000D;
}

.latest-blog-card__info {
    padding: 20px;
    max-width: 83%;

    @media screen and (max-width:991px) {
        max-width: 100%;

    }
}

.latest-blog-card__profile-img {
    width: 40px;
    height: 40px;
}

.latest-blog-card__date {
    font-size: 15px;
    line-height: 25px;
    color: #00000099;
}

.latest-blog-card__heading {
    text-overflow: ellipsis;
    white-space: normal;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    display: -webkit-box !important;
    overflow: hidden;
    font-size: var(--font-7);
    line-height: 1.1;
    min-height: 50px;
}

.latest-blog-card__link .latest-blog-card__heading:hover {
    color: rgb(var(--text-color-6));
}

.latest-news-box__time {
    font-size: 13px;
}

.latest-blog-card .post-tag {
    width: fit-content;
    margin: 0 0 0 auto;
    padding: 10px 17px;
    border-radius: 5px 15px;
}

.latest-news-box__time {
    color: rgb(var(--text-color-2) / 60%);
}

/* ------------------------------------   End latest news card loop block --------------------------------- */

/* ------------------------------------   Page specific styles --------------------------------- */
.page-id-3720 {
    .banner-section {
        .banner-box__details {
            width: 81%;
            max-width: 84% !important;
        }

        @media (min-width: 1200px) {
            .banner-box__img {
                margin-bottom: 0px;
                position: absolute;
                bottom: 0;
                right: 168px;
            }

            .banner_content {
                max-width: 450px;
            }
        }

        .banner-box__content .banner-title {
            @media (max-width: 1200px) {
                max-width: 75%;
            }

            @media (max-width: 1000px) {
                max-width: 87%;
            }

            @media (max-width:900px) {
                max-width: 100%;
            }

            @media (max-width:767px) {
                max-width: 370px;
            }

            @media (max-width:560px) {
                max-width: 100%;
                ;
            }
        }

    }
}